Index: /trunk/include/FlairSensorActuator/SimuGps.h
===================================================================
--- /trunk/include/FlairSensorActuator/SimuGps.h	(revision 12)
+++ /trunk/include/FlairSensorActuator/SimuGps.h	(revision 13)
@@ -17,59 +17,55 @@
 #include <Gps.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class FrameworkManager;
-    }
+namespace flair {
+namespace core {
+class FrameworkManager;
+}
 }
 
-namespace flair
-{
-namespace sensor
-{
-    /*! \class SimuGps
-    *
-    * \brief Class for a simulation GPS
-    */
-    class SimuGps : public core::Thread, public Gps
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a Novatel.
-            *
-            * \param parent parent
-            * \param name name
-            * \param NMEAFlags NMEA sentances to enable
-            * \param priority priority of the Thread
-            */
-            SimuGps(const core::FrameworkManager* parent,std::string name,Gps::NMEAFlags_t NMEAFlags,uint8_t priority);
+namespace flair {
+namespace sensor {
+/*! \class SimuGps
+*
+* \brief Class for a simulation GPS
+*/
+class SimuGps : public core::Thread, public Gps {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a Novatel.
+  *
+  * \param parent parent
+  * \param name name
+  * \param NMEAFlags NMEA sentances to enable
+  * \param priority priority of the Thread
+  */
+  SimuGps(const core::FrameworkManager *parent, std::string name,
+          Gps::NMEAFlags_t NMEAFlags, uint8_t priority);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~SimuGps();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~SimuGps();
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data){};
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data){};
 
-            /*!
-            * \brief Run function
-            *
-            * Reimplemented from Thread.
-            *
-            */
-            void Run(void);
-    };
+  /*!
+  * \brief Run function
+  *
+  * Reimplemented from Thread.
+  *
+  */
+  void Run(void);
+};
 } // end namespace sensor
 } // end namespace framewor
Index: /trunk/include/FlairSensorActuator/SimuImu.h
===================================================================
--- /trunk/include/FlairSensorActuator/SimuImu.h	(revision 12)
+++ /trunk/include/FlairSensorActuator/SimuImu.h	(revision 13)
@@ -18,81 +18,83 @@
 
 namespace flair {
-    namespace core     {
-        class SharedMem;
-        class AhrsData;
-    }
-    namespace gui {
-        class SpinBox;
-    }
+namespace core {
+class SharedMem;
+class AhrsData;
+}
+namespace gui {
+class SpinBox;
+}
 }
 
-namespace flair { namespace sensor {
-    /*! \class SimuImu
-    *
-    * \brief Class for a simulation Imu
-    */
-    class SimuImu : public Imu, public core::Thread {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a SimuImu. Control part.
-            *
-            * \param parent parent
-            * \param name name
-            * \param dev_id device id
-            * \param priority priority of the Thread
-            */
-            SimuImu(const core::FrameworkManager* parent,std::string name,uint32_t dev_id,uint8_t priority);
+namespace flair {
+namespace sensor {
+/*! \class SimuImu
+*
+* \brief Class for a simulation Imu
+*/
+class SimuImu : public Imu, public core::Thread {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a SimuImu. Control part.
+  *
+  * \param parent parent
+  * \param name name
+  * \param dev_id device id
+  * \param priority priority of the Thread
+  */
+  SimuImu(const core::FrameworkManager *parent, std::string name,
+          uint32_t dev_id, uint8_t priority);
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct a SimuImu. Simulation part.\n
-            * The Thread of this class should not be run.
-            *
-            * \param parent parent
-            * \param name name
-            * \param dev_id device id
-            */
-            SimuImu(const core::IODevice* parent,std::string name,uint32_t dev_id);
+  /*!
+  * \brief Constructor
+  *
+  * Construct a SimuImu. Simulation part.\n
+  * The Thread of this class should not be run.
+  *
+  * \param parent parent
+  * \param name name
+  * \param dev_id device id
+  */
+  SimuImu(const core::IODevice *parent, std::string name, uint32_t dev_id);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~SimuImu();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~SimuImu();
 
-        private:
-            /*!
-            * \brief Run function
-            *
-            * Reimplemented from Thread.
-            *
-            */
-            void Run(void);
+private:
+  /*!
+  * \brief Run function
+  *
+  * Reimplemented from Thread.
+  *
+  */
+  void Run(void);
 
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data);
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data);
 
-            typedef struct {
-                float q0;
-                float q1;
-                float q2;
-                float q3;
-                float wx;
-                float wy;
-                float wz;
-            } imu_states_t;
-            gui::SpinBox *data_rate;
-            core::SharedMem *shmem;
-            core::AhrsData *ahrsData;
-    };
+  typedef struct {
+    float q0;
+    float q1;
+    float q2;
+    float q3;
+    float wx;
+    float wy;
+    float wz;
+  } imu_states_t;
+  gui::SpinBox *data_rate;
+  core::SharedMem *shmem;
+  core::AhrsData *ahrsData;
+};
 } // end namespace sensor
 } // end namespace flair
Index: /trunk/include/FlairSensorActuator/SimuLaser.h
===================================================================
--- /trunk/include/FlairSensorActuator/SimuLaser.h	(revision 12)
+++ /trunk/include/FlairSensorActuator/SimuLaser.h	(revision 13)
@@ -17,84 +17,79 @@
 #include <Thread.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class SharedMem;
-    }
-    namespace gui
-    {
-        class SpinBox;
-    }
+namespace flair {
+namespace core {
+class SharedMem;
+}
+namespace gui {
+class SpinBox;
+}
 }
 
-namespace flair
-{
-namespace sensor
-{
-    /*! \class SimuUs
-    *
-    * \brief Class for a simulation UsRangeFinder
-    */
-    class SimuLaser : public core::Thread, public LaserRangeFinder
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a SimuUs. Control part.
-            *
-            * \param parent parent
-            * \param name name
-            * \param dev_id device id
-            * \param priority priority of the Thread
-            */
-            SimuLaser(const core::FrameworkManager* parent,std::string name,uint32_t dev_id,uint8_t priority);
+namespace flair {
+namespace sensor {
+/*! \class SimuUs
+*
+* \brief Class for a simulation UsRangeFinder
+*/
+class SimuLaser : public core::Thread, public LaserRangeFinder {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a SimuUs. Control part.
+  *
+  * \param parent parent
+  * \param name name
+  * \param dev_id device id
+  * \param priority priority of the Thread
+  */
+  SimuLaser(const core::FrameworkManager *parent, std::string name,
+            uint32_t dev_id, uint8_t priority);
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct a SimuUs. Simulation part.\n
-            * The Thread of this class should not be run.
-            *
-            * \param parent parent
-            * \param name name
-            * \param dev_id device id
-            */
-            SimuLaser(const core::IODevice* parent,std::string name,uint32_t dev_id);
+  /*!
+  * \brief Constructor
+  *
+  * Construct a SimuUs. Simulation part.\n
+  * The Thread of this class should not be run.
+  *
+  * \param parent parent
+  * \param name name
+  * \param dev_id device id
+  */
+  SimuLaser(const core::IODevice *parent, std::string name, uint32_t dev_id);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~SimuLaser();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~SimuLaser();
 
-        protected:
-            /*!
-            * \brief SharedMem to access datas
-            *
-            */
-            core::SharedMem *shmem;
+protected:
+  /*!
+  * \brief SharedMem to access datas
+  *
+  */
+  core::SharedMem *shmem;
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data){};
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data){};
 
-            /*!
-            * \brief Run function
-            *
-            * Reimplemented from Thread.
-            *
-            */
-            void Run(void);
+  /*!
+  * \brief Run function
+  *
+  * Reimplemented from Thread.
+  *
+  */
+  void Run(void);
 
-            gui::SpinBox *data_rate;
-    };
+  gui::SpinBox *data_rate;
+};
 } // end namespace sensor
 } // end namespace flair
Index: /trunk/include/FlairSensorActuator/SimuUs.h
===================================================================
--- /trunk/include/FlairSensorActuator/SimuUs.h	(revision 12)
+++ /trunk/include/FlairSensorActuator/SimuUs.h	(revision 13)
@@ -17,84 +17,79 @@
 #include <Thread.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class SharedMem;
-    }
-    namespace gui
-    {
-        class SpinBox;
-    }
+namespace flair {
+namespace core {
+class SharedMem;
+}
+namespace gui {
+class SpinBox;
+}
 }
 
-namespace flair
-{
-namespace sensor
-{
-    /*! \class SimuUs
-    *
-    * \brief Class for a simulation UsRangeFinder
-    */
-    class SimuUs : public core::Thread, public UsRangeFinder
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a SimuUs. Control part.
-            *
-            * \param parent parent
-            * \param name name
-            * \param dev_id device id
-            * \param priority priority of the Thread
-            */
-            SimuUs(const core::FrameworkManager* parent,std::string name,uint32_t dev_id,uint8_t priority);
+namespace flair {
+namespace sensor {
+/*! \class SimuUs
+*
+* \brief Class for a simulation UsRangeFinder
+*/
+class SimuUs : public core::Thread, public UsRangeFinder {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a SimuUs. Control part.
+  *
+  * \param parent parent
+  * \param name name
+  * \param dev_id device id
+  * \param priority priority of the Thread
+  */
+  SimuUs(const core::FrameworkManager *parent, std::string name,
+         uint32_t dev_id, uint8_t priority);
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct a SimuUs. Simulation part.\n
-            * The Thread of this class should not be run.
-            *
-            * \param parent parent
-            * \param name name
-            * \param dev_id device id
-            */
-            SimuUs(const core::IODevice* parent,std::string name,uint32_t dev_id);
+  /*!
+  * \brief Constructor
+  *
+  * Construct a SimuUs. Simulation part.\n
+  * The Thread of this class should not be run.
+  *
+  * \param parent parent
+  * \param name name
+  * \param dev_id device id
+  */
+  SimuUs(const core::IODevice *parent, std::string name, uint32_t dev_id);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~SimuUs();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~SimuUs();
 
-        protected:
-            /*!
-            * \brief SharedMem to access datas
-            *
-            */
-            core::SharedMem *shmem;
+protected:
+  /*!
+  * \brief SharedMem to access datas
+  *
+  */
+  core::SharedMem *shmem;
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data){};
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data){};
 
-            /*!
-            * \brief Run function
-            *
-            * Reimplemented from Thread.
-            *
-            */
-            void Run(void);
+  /*!
+  * \brief Run function
+  *
+  * Reimplemented from Thread.
+  *
+  */
+  void Run(void);
 
-            gui::SpinBox *data_rate;
-    };
+  gui::SpinBox *data_rate;
+};
 } // end namespace sensor
 } // end namespace flair
Index: /trunk/include/FlairSensorActuator/Srf08.h
===================================================================
--- /trunk/include/FlairSensorActuator/Srf08.h	(revision 12)
+++ /trunk/include/FlairSensorActuator/Srf08.h	(revision 13)
@@ -17,90 +17,86 @@
 #include <UsRangeFinder.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class FrameworkManager;
-        class I2cPort;
-    }
-    namespace gui
-    {
-        class SpinBox;;
-    }
+namespace flair {
+namespace core {
+class FrameworkManager;
+class I2cPort;
+}
+namespace gui {
+class SpinBox;
+;
+}
 }
 
-namespace flair
-{
-namespace sensor
-{
-    /*! \class Srf08
-    *
-    * \brief Class for ultra sonic SRF08
-    */
-    class Srf08 : public core::Thread, public UsRangeFinder
-    {
+namespace flair {
+namespace sensor {
+/*! \class Srf08
+*
+* \brief Class for ultra sonic SRF08
+*/
+class Srf08 : public core::Thread, public UsRangeFinder {
 
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a SimuUs. Control part.
-            *
-            * \param parent parent
-            * \param name name
-            * \param i2cport i2c port
-            * \param address i2c slave address
-            * \param priority priority of the Thread
-            */
-            Srf08(const core::FrameworkManager* parent,std::string name,core::I2cPort* i2cport,uint16_t address,uint8_t priority);
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a SimuUs. Control part.
+  *
+  * \param parent parent
+  * \param name name
+  * \param i2cport i2c port
+  * \param address i2c slave address
+  * \param priority priority of the Thread
+  */
+  Srf08(const core::FrameworkManager *parent, std::string name,
+        core::I2cPort *i2cport, uint16_t address, uint8_t priority);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Srf08();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Srf08();
 
-            /*!
-            * \brief Set Range
-            *
-            * check datasheet for values
-            */
-            void SetRange(void);
+  /*!
+  * \brief Set Range
+  *
+  * check datasheet for values
+  */
+  void SetRange(void);
 
-            /*!
-            * \brief Set Max Gain
-            *
-            * check datasheet for values
-            */
-            void SetMaxGain(void);
+  /*!
+  * \brief Set Max Gain
+  *
+  * check datasheet for values
+  */
+  void SetMaxGain(void);
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data){};
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data){};
 
-            /*!
-            * \brief Run function
-            *
-            * Reimplemented from Thread.
-            *
-            */
-            void Run(void);
+  /*!
+  * \brief Run function
+  *
+  * Reimplemented from Thread.
+  *
+  */
+  void Run(void);
 
-            void SendEcho(void);
-            void GetEcho(void);
+  void SendEcho(void);
+  void GetEcho(void);
 
-            bool is_init;
-            core::Time echo_time;
-            float z_1,z_2;
-            gui::SpinBox *gain,*range;
-            uint16_t address;
-            core::I2cPort* i2cport;
-    };
+  bool is_init;
+  core::Time echo_time;
+  float z_1, z_2;
+  gui::SpinBox *gain, *range;
+  uint16_t address;
+  core::I2cPort *i2cport;
+};
 } // end namespace sensor
 } // end namespace flair
Index: /trunk/include/FlairSensorActuator/TargetController.h
===================================================================
--- /trunk/include/FlairSensorActuator/TargetController.h	(revision 12)
+++ /trunk/include/FlairSensorActuator/TargetController.h	(revision 13)
@@ -25,72 +25,87 @@
 
 namespace flair {
-    namespace core {
-        class FrameworkManager;
-        class cvmatrix;
-        class Socket;
-        class io_data;
-    }
-    namespace gui {
-        class Tab;
-        class TabWidget;
-        class DataPlot1D;
-    }
+namespace core {
+class FrameworkManager;
+class cvmatrix;
+class Socket;
+class io_data;
+}
+namespace gui {
+class Tab;
+class TabWidget;
+class DataPlot1D;
+}
 }
 
-namespace flair { namespace sensor {
-    enum class ControllerAction;
+namespace flair {
+namespace sensor {
+enum class ControllerAction;
 
-    /*! \class TargetController
-    *
-    * \brief Base Class for target side remote controls
-    *
-    */
-    class TargetController : public core::Thread, public core::IODevice {
-    public:
-        TargetController(const core::FrameworkManager* parent,std::string name,uint8_t priority=0);
-        ~TargetController();
-        //void DrawUserInterface();
-        virtual bool IsConnected() const=0;
-        virtual bool IsDataFrameReady()=0;
-        //axis stuff
-        unsigned int GetAxisNumber() const;
-        virtual std::string GetAxisName(unsigned int axisId) const;
-        float GetAxisValue(unsigned int axisId) const;// always in the range [-1.0,1.0]
-        //button stuff
-        unsigned int GetButtonNumber() const;
-        bool IsButtonPressed(unsigned int buttonId) const;
-        virtual std::string GetButtonName(unsigned int axisId) const;
-        //controller state stuff
-        virtual bool IsControllerActionSupported(ControllerAction action) const {return false;};
-        bool SetLedOn(unsigned int ledId);
-        bool SetLedOff(unsigned int ledId);
-        bool Rumble(unsigned int left_force,unsigned int left_timeout,unsigned int right_force,unsigned int right_timeout);
-        bool FlashLed(unsigned int ledId,unsigned int on_timeout,unsigned int off_timeout);
-        void UpdateFrom(const core::io_data *data){}; //TODO
-        gui::Tab* GetTab(void) const;
+/*! \class TargetController
+*
+* \brief Base Class for target side remote controls
+*
+*/
+class TargetController : public core::Thread, public core::IODevice {
+public:
+  TargetController(const core::FrameworkManager *parent, std::string name,
+                   uint8_t priority = 0);
+  ~TargetController();
+  // void DrawUserInterface();
+  virtual bool IsConnected() const = 0;
+  virtual bool IsDataFrameReady() = 0;
+  // axis stuff
+  unsigned int GetAxisNumber() const;
+  virtual std::string GetAxisName(unsigned int axisId) const;
+  float
+  GetAxisValue(unsigned int axisId) const; // always in the range [-1.0,1.0]
+  // button stuff
+  unsigned int GetButtonNumber() const;
+  bool IsButtonPressed(unsigned int buttonId) const;
+  virtual std::string GetButtonName(unsigned int axisId) const;
+  // controller state stuff
+  virtual bool IsControllerActionSupported(ControllerAction action) const {
+    return false;
+  };
+  bool SetLedOn(unsigned int ledId);
+  bool SetLedOff(unsigned int ledId);
+  bool Rumble(unsigned int left_force, unsigned int left_timeout,
+              unsigned int right_force, unsigned int right_timeout);
+  bool FlashLed(unsigned int ledId, unsigned int on_timeout,
+                unsigned int off_timeout);
+  void UpdateFrom(const core::io_data *data){}; // TODO
+  gui::Tab *GetTab(void) const;
 
-    protected:
-        virtual bool ProcessMessage(core::Message *msg)=0;
-        void QueueMessage(core::Message msg);
-        virtual bool ControllerInitialization()=0;// {return true;};
-        //axis stuff
-        unsigned int axisNumber;
-        core::cvmatrix* axis=NULL;
-        virtual void AcquireAxisData(core::cvmatrix &axis)=0; //responsible for getting the axis data from the hardware
-        uint16_t bitsPerAxis;
-        //button stuff
-        unsigned int buttonNumber;
-        core::cvmatrix* button=NULL;
-        virtual void AcquireButtonData(core::cvmatrix &button)=0; //responsible for getting the button data from the hardware
-        //controller state stuff
-        unsigned int ledNumber;
-    private:
-        void Run();
-        std::queue<core::Message *> changeStateQueue;
-        flair::gui::Tab* main_tab;
-        flair::gui::Tab* setup_tab;
-    };
+protected:
+  virtual bool ProcessMessage(core::Message *msg) = 0;
+  void QueueMessage(core::Message msg);
+  virtual bool ControllerInitialization() = 0; // {return true;};
+  // axis stuff
+  unsigned int axisNumber;
+  core::cvmatrix *axis = NULL;
+  virtual void AcquireAxisData(core::cvmatrix &axis) = 0; // responsible for
+                                                          // getting the axis
+                                                          // data from the
+                                                          // hardware
+  uint16_t bitsPerAxis;
+  // button stuff
+  unsigned int buttonNumber;
+  core::cvmatrix *button = NULL;
+  virtual void AcquireButtonData(core::cvmatrix &button) = 0; // responsible for
+                                                              // getting the
+                                                              // button data
+                                                              // from the
+                                                              // hardware
+  // controller state stuff
+  unsigned int ledNumber;
 
-}}
+private:
+  void Run();
+  std::queue<core::Message *> changeStateQueue;
+  flair::gui::Tab *main_tab;
+  flair::gui::Tab *setup_tab;
+};
+}
+}
 
 #endif // TARGETCONTROLLER_H
Index: /trunk/include/FlairSensorActuator/TargetEthController.h
===================================================================
--- /trunk/include/FlairSensorActuator/TargetEthController.h	(revision 12)
+++ /trunk/include/FlairSensorActuator/TargetEthController.h	(revision 13)
@@ -12,5 +12,6 @@
 //
 //  purpose:    class that gets remote controls through an ethernet connection.
-//              Typical use case: a remote control is plugged in a workstation and sends remote control
+//              Typical use case: a remote control is plugged in a workstation
+//              and sends remote control
 //              data to a distant target (this class) through Wifi
 //
@@ -24,62 +25,68 @@
 
 namespace flair {
-    namespace core {
-        class FrameworkManager;
-        class cvmatrix;
-        class TcpSocket;
-        class Socket;
-    }
-    namespace gui {
-        class Tab;
-        class TabWidget;
-        class DataPlot1D;
-    }
+namespace core {
+class FrameworkManager;
+class cvmatrix;
+class TcpSocket;
+class Socket;
+}
+namespace gui {
+class Tab;
+class TabWidget;
+class DataPlot1D;
+}
 }
 
-namespace flair { namespace sensor {
-    /*! \class TargetController
-    *
-    * \brief Base Class for target side remote controls
-    *
-    */
-    class TargetEthController : public TargetController {
-    public:
-        TargetEthController(const core::FrameworkManager* parent,std::string name,uint16_t port,uint8_t priority=0);
-        ~TargetEthController();
-        //void DrawUserInterface();
-    protected:
-        bool IsConnected() const;
-        //axis stuff
-        std::string GetAxisName(unsigned int axisId) const;
-        //button stuff
-        std::string GetButtonName(unsigned int axisId) const;
-        //controller state stuff
-        bool ProcessMessage(core::Message *msg);
-        bool IsControllerActionSupported(ControllerAction action) const;
+namespace flair {
+namespace sensor {
+/*! \class TargetController
+*
+* \brief Base Class for target side remote controls
+*
+*/
+class TargetEthController : public TargetController {
+public:
+  TargetEthController(const core::FrameworkManager *parent, std::string name,
+                      uint16_t port, uint8_t priority = 0);
+  ~TargetEthController();
+  // void DrawUserInterface();
+protected:
+  bool IsConnected() const;
+  // axis stuff
+  std::string GetAxisName(unsigned int axisId) const;
+  // button stuff
+  std::string GetButtonName(unsigned int axisId) const;
+  // controller state stuff
+  bool ProcessMessage(core::Message *msg);
+  bool IsControllerActionSupported(ControllerAction action) const;
 
-        bool IsDataFrameReady();
-        void AcquireAxisData(core::cvmatrix &axis); //responsible for getting the axis data from the hardware
-        void AcquireButtonData(core::cvmatrix &button); //responsible for getting the button data from the hardware
+  bool IsDataFrameReady();
+  void AcquireAxisData(core::cvmatrix &axis); // responsible for getting the
+                                              // axis data from the hardware
+  void AcquireButtonData(core::cvmatrix &button); // responsible for getting the
+                                                  // button data from the
+                                                  // hardware
 
-        bool ControllerInitialization();
+  bool ControllerInitialization();
 
-    private:
-        uint16_t readBits(uint8_t offsetInBits,uint8_t valueSizeInBits,char *buffer,size_t bufferSize);
-        uint8_t getByteOrNull(char *buffer,int byte,size_t bufferSize);
-        uint32_t charBufferToUint32(char *buffer, size_t bufferSize);
-        core::TcpSocket *listeningSocket;
-        int listeningPort;
-        core::TcpSocket *controlSocket=NULL;
-        core::Socket *dataSocket;
-        std::string *axisName=NULL;
-        std::string *buttonName=NULL;
-        size_t dataFrameSize;
-        char *dataFrameBuffer;
-        char *receiveFrameBuffer;
-        size_t receiveCurrentPosition;
-        uint8_t buttonOffset;
-    };
-
-}}
+private:
+  uint16_t readBits(uint8_t offsetInBits, uint8_t valueSizeInBits, char *buffer,
+                    size_t bufferSize);
+  uint8_t getByteOrNull(char *buffer, int byte, size_t bufferSize);
+  uint32_t charBufferToUint32(char *buffer, size_t bufferSize);
+  core::TcpSocket *listeningSocket;
+  int listeningPort;
+  core::TcpSocket *controlSocket = NULL;
+  core::Socket *dataSocket;
+  std::string *axisName = NULL;
+  std::string *buttonName = NULL;
+  size_t dataFrameSize;
+  char *dataFrameBuffer;
+  char *receiveFrameBuffer;
+  size_t receiveCurrentPosition;
+  uint8_t buttonOffset;
+};
+}
+}
 
 #endif // TARGETCONTROLLER_H
